clear all
close all

syms x y th real
syms px py real
syms erho etheta real

T_W_R = [   cos(th), -sin(th), x;
            sin(th),  cos(th), y;
                0       0      1];
T_R_W = [T_W_R(1:2,1:2)', -T_W_R(1:2,1:2)'*T_W_R(1:2,3); 0 0 1];

m = T_R_W * [px;py;1];

rho = sqrt(m(1)^2 + m(2)^2) + erho;
theta = atan(m(2)/ m(1)) + etheta;

X1 = [rho;theta];
X  = [x,y,th];
E  = [erho, etheta];

H = jacobian(X1,X);
M = jacobian(X1,E);
erho = 0; etheta = 0;
H = eval(H);
M = eval(M);
rho = eval(rho);
theta = eval(theta);

rho
theta

H
M